﻿@model PagedList.IPagedList<SYM.DataAccessLayer.v_mountain_index>
@using PagedList.Mvc;

@{
    ViewBag.Title = SYM.Localization.Resources.Views.Mountain.Index.Title;
    ViewBag.Page = SYM.Localization.Resources.Views.Mountain.Index.Title;
}

@section customCss4Page{
    <link href="~/Content/themes/m1/assets/global/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="~/Content/assets/plugins/tiles-grid/css/finaltilesgallery.css">
    <link rel="stylesheet" href="~/Content/assets/plugins/tiles-grid/css/lightbox2.css">
}

<div class="row">
    <div class="col-md-12">
        <div class="portlet box blue-sharp">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-cogs"></i>
                    @ViewBag.Title (@ViewBag.Count)
                </div>
            </div>
            <div class="portlet-body flip-scroll">
                @using (Html.BeginForm("Index", "Mountain", FormMethod.Post, new { @class = "form-inline", role = "form" }))
                {
                    <div class="form-group input-min-width-200">
                        <select id="region" name="region" class="form-control select2">
                            @if (@ViewBag.Region != "0")
                            {
                                <option value="@ViewBag.Region" selected="selected">@ViewBag.Region_text</option>
                            }
                        </select>
                    </div>
                    <div class="form-group input-min-width-200">
                        <select id="range" name="range" class="form-control select2">
                            <option value="@ViewBag.Range" selected="selected">@ViewBag.Range_text</option>
                        </select>
                    </div>
                    <div class="form-group input-min-width-300">
                        <div class="input-icon">
                            <i class="fa fa-map-marker"></i>
                            <input name="mntn_name" type="text" placeholder="Cerca ...." class="form-control" value="@ViewBag.Mountain">
                        </div>
                    </div>
                    <input type="hidden" id="country" name="country" value="@ViewBag.Country">
                    <button type="submit" class="btn blue-sharp" style="float: right;">@SYM.Localization.Resources.Global.Search <i class="fa fa-search"></i></button>
                }
                <div class="dataTables_wrapper no-footer">
                    @if (Model.ToList().Count > 0)
                    {
                        <div class="table-scrollable">

                            <table class="table table-striped table-bordered table-condensed dataTable no-footer">
                                <thead>
                                    <tr role="row">
                                        <th>
                                            @Html.ActionLink(SYM.Localization.Resources.Views.Mountain.Index.TableMountain, "Index", new { sortOrder = ViewBag.NameSortParm, currentFilter = ViewBag.CurrentFilter })
                                        </th>
                                        <th style="text-align: center;">
                                            @Html.ActionLink(SYM.Localization.Resources.Views.Mountain.Index.TableAltitude, "Index", new { sortOrder = ViewBag.AltitudeSortParm, currentFilter = ViewBag.CurrentFilter })
                                        </th>
                                        <th>
                                            @Html.DisplayName(SYM.Localization.Resources.Views.Mountain.Index.TableRange)
                                        </th>
                                        <th>
                                            @Html.DisplayName(SYM.Localization.Resources.Views.Mountain.Index.TableGroup)
                                        </th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody class="searchable">
                                    @foreach (var item in Model)
                                    {
                                    <tr role="row">
                                        <td>
                                            <a href="@Url.Action("Details","Mountain").Replace("Details","")@item.id-@item.mntn_name.Replace(" ","").Replace("-","_").Replace("&","").Replace("/","").Replace(".","")">
                                                @Html.DisplayFor(modelItem => item.mntn_name)
                                            </a>
                                        </td>
                                        <td style="text-align: center;">
                                            @Html.DisplayFor(modelItem => item.mntn_altitude)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.mntnRange_name)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.mntnGroup_name)
                                        </td>
                                        <td>
                                            @if (item.coordinates == 1)
                                            {
                                            <i class="fa fa-globe"></i>
                                            }
                                            @if (item.wikipedia == 1)
                                            {
                                            <i class="fa fa-wikipedia-w"></i>
                                            }
                                            @if (item.count > 0)
                                            {
                                            <span class="badge badge-warning tooltips" data-container="body" data-placement="bottom" data-original-title="@item.count routes">@item.count</span>
                                            }
                                        </td>
                                        @*<td>
                                                @foreach (var country_code in item.country_code.Split(','))
                                                {
                                                    string url = "/Content/themes/m1/assets/global/img/flags/" + country_code.ToLower() + ".png";
                                                    <img alt="@country_code" src="@url">
                                                }
                                            </td>*@
                                    </tr>
                                    }
                                </tbody>
                            </table>

                        </div>
                        <div class="row">
                            <div class="col-md-5 col-sm-5">
                                <div class="dataTables_info" role="status" aria-live="polite">
                                    Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount
                                </div>
                            </div>
                            <div class="col-md-7 col-sm-7">
                                @Html.PagedListPager(Model, page => Url.Action("Index", new { page, sortOrder = ViewBag.CurrentSort, _mntn = ViewBag.Mountain, _country = ViewBag.Country, _r = ViewBag.Region, _mntng = ViewBag.Group, _mntnr = ViewBag.Range, _routes = ViewBag.Routes }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
                            </div>
                            <!-- END PAGE CONTENT INNER -->
                        </div>
                    }
                    else {
                        <div role="row" class="margin-top-20">
                            <p class="text-center">
                                <img src="~/Content/themes/m1/assets/layouts/layout4/img/icon_cactus.png">
                            </p>
                            <p class="text-center bold">
                                @SYM.Localization.Resources.Views.Mountain.Index.Message_NotFound
                            </p>
                            @if (Request.IsAuthenticated)
                            {
                            <p class="text-center bold">
                                <a href="@Url.Action("_Create", "Mountain")" data-target="#myModal">@SYM.Localization.Resources.Views.Mountain.Index.Message_NotFound_Link</a>
                            </p>
                            }
                        </div>
                    }
                </div>

            </div>
            <!-- END PAGE CONTENT INNER -->
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12 col-sm-12">
        <!-- BEGIN PORTLET-->
        <div class="portlet light bordered">
            <div class="portlet-title tabbable-line">
                <div class="caption">
                    <i class="icon-globe font-dark hide"></i>
                    <span class="caption-subject font-dark bold uppercase">@SYM.Localization.Resources.Views.Feed.Global.Feed</span>
                </div>
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#tab_1_1" class="active" data-toggle="tab"> @SYM.Localization.Resources.Views.Feed.Global.Topos</a>
                    </li>
                    <li>
                        <a href="#tab_1_2" data-toggle="tab" id="tab_user"> @SYM.Localization.Resources.Views.Feed.Global.Users </a>
                    </li>
                    <li>
                        <a href="#tab_1_3" data-toggle="tab" id="tab_images"> @SYM.Localization.Resources.Views.Feed.Global.Images</a>
                    </li>
                    <li>
                        <a href="#tab_1_4" data-toggle="tab" id="tab_stats"> @SYM.Localization.Resources.Views.Feed.Global.Stats</a>
                    </li>
                </ul>
            </div>
            <div class="portlet-body">
                <!--BEGIN TABS-->
                <div class="tab-content">
                    <div class="tab-pane active" id="tab_1_1">
                    </div>
                    <div class="tab-pane" id="tab_1_2">
                    </div>
                    <div class="tab-pane" id="tab_1_3">
                    </div>
                    <div class="tab-pane" id="tab_1_4">
                    </div>
                </div>
                <!--END TABS-->
            </div>
        </div>
        <!-- END PORTLET-->
    </div>
</div>

@section ExtraPluginJS{
    <script src="https://twitter.github.io/typeahead.js/releases/latest/typeahead.bundle.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery.imagesloaded/2.1.0/jquery.imagesloaded.min.js"></script>
    @Scripts.Render("~/content/themes/m1/assets/plugins/pagedetails/js")
}
@section ScriptOnReady {
    MyApp.Select2Region('#region', '/api/autocomplete/GetRegion', 'Regione' );
    MyApp.Select2Lookup('#range', '/api/autocomplete/GetMntnRange','Catena montuosa');
    //Update country id
    $('#region').on("select2:selecting", function(e) {
    $("#country").val(e.params.args.data.country_id);
    });

    $.ajax({
    url: "/Feed/_Routes",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_1').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });

    $('#tab_user').one('click', function (e) {
    $.ajax({
    url: "/Feed/_Users",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_2').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });
    });

    $('#tab_stats').one('click', function (e) {
    $.ajax({
    url: "/Feed/_Stats",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_4').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });
    });

    $('#tab_images').one('click', function (e) {
    $.ajax({
    url: "/Feed/_Images",
    type: "GET",
    dataType: "html",
    }).
    success(function (result) {
    $('#tab_1_3').html(result);
    }).
    error(function (xhr, status) {
    console.log(status);
    });
    });

    //Init for Modal Photo Upload using the mountain filter :D
    //TODO: Specific Function
    MyApp.Select2LookupSym('#routeMntn', '/api/autocomplete/GetMountains', '#country', '#region', 'Mountain...');
}

@*@Html.Partial("_modalUploadPhoto")*@
